# VectorNav C++ Library: vn::protocol::uart::VpeStatus Struct Reference

vn::protocol::uart::VpeStatus Struct Reference

Status indicators for VPE. More...

`#include <types.h>`

## Public Member Functions

| VpeStatus ()
| Default constructor.
| VpeStatus (uint16_t raw)
| Constructs a `VpeStatus` from the raw bit field received from the sensor.

## Public Attributes

uint8_t | attitudeQuality
| AttitudeQuality field.
bool | gyroSaturation
| GyroSaturation field.
bool | gyroSaturationRecovery
| GyroSaturationRecovery field.
uint8_t | magDisturbance
| MagDistrubance field.
bool | magSaturation
| MagSaturation field.
uint8_t | accDisturbance
| AccDisturbance field.
bool | accSaturation
| AccSaturation field.
bool | knownMagDisturbance
| KnownMagDisturbance field.
bool | knownAccelDisturbance
| KnownAccelDisturbance field.

## Detailed Description

Status indicators for VPE.

The documentation for this struct was generated from the following file:

- include/vn/types.h